E-M5 Firmware Update

The instructions aren't clear (as always, why don't Olympus hire people who can write English?) but it appears updates have to be from 1.2 to 1.4 to 1.5 or from prior to 1.1 to 1.3 to 1.5 and if you have version 1.1 do not pass go or collect 200 go straight to version 1.5 or maybe go via 1.4 which is the replace for 1.2 it's so poorly written,

A picture is worth a thousand words, and with words like ths it wouldn't even need to be a good picture.